Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.information
Interface IInformationPresenter

All Known Implementing Classes:
  InformationPresenter

public interface IInformationPresenter

An information presenter shows information available at the text viewer's current document position. An `IInformationPresenter` is a `ITextViewer` add-on.

An information presenters has a list of `IInformationProvider` objects each of which is registered for a particular document content type. The presenter uses the strategy objects to retrieve the information to present.

In order to provide backward compatibility for clients of `IInformationPresenter`, extension interfaces are used to provide a means of evolution. The following extension interfaces exist:

- `IInformationPresenterExtension` since version 3.0 introducing the ability to handle documents with multiple partitions

The interface can be implemented by clients. By default, clients use `InformationPresenter` as the standard implementer of this interface.

Since:
  2.0
See Also:
  `ITextViewer`, `IInformationProvider`

Method Summary
`IInformationProvider` | `getInformationProvider(String contentType)` Returns the information provider to be used for the given content type.
`void` | `install(ITextViewer textViewer)` Installs the information presenter on the given text viewer.
`void` | `showInformation()` Shows information related to the cursor position of the text viewer this information presenter is installed on.
`void` | `uninstall()` Removes the information presenter from the text viewer it has previously been installed on.

Method Detail

### install

    public void install(ITextViewer textViewer)

  Installs the information presenter on the given text viewer. After this method has been finished, the presenter is operational, i.e. the method `showInformation()` can be called until `uninstall()` is called.

  Parameters:
    `textViewer` - the viewer on which the presenter is installed

### uninstall

    public void uninstall()

  Removes the information presenter from the text viewer it has previously been installed on.

### showInformation

    public void showInformation()

  Shows information related to the cursor position of the text viewer this information presenter is installed on.

### getInformationProvider

    public IInformationProvider getInformationProvider(String contentType)

  Returns the information provider to be used for the given content type.

  Parameters:
    `contentType` - the type of the content for which information will be requested
  Returns:
    an information provider or `null` if none exists for the specified content type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.